# bitfront-library

Angular CLI project with components and classes used by other Angular projects of the BIT foundation.

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 1.6.3.

## installing the sample (via Yarn)

update package.json of the client project to include this library and install:

```bash
    ``` 
    yarn install
```

## installing the sample (manually. this updates package.json automatically.)

```bash	
    ``` install current release
    npm install bitfront-library --save
	
    ``` install previous release
    npm install bitfront-library@1.0.0 --save
```


## working with the repo

```bash
    git clone https://user@bitbucket.org/fundaciobitdesarrollo/bitfront-library.git
    cd bitfront-library
    yarn install
    yarn dev
```

## publishing a new version

Increase release number in the package.json

Recommended to manually remove the node_modules folder and install yarn install

```bash
    yarn dist
    cd dist
    npm publish
```

## changelog

## [1.1.14] - 2018-04-16
### Added
-  @Input BitHeaderComponent: otherActionsDropDown. Determina si las "other actions" deben mostrarse en línea o como un desplegable.

## [1.1.13] - 2018-04-13
### Added
- Variable columnasOrdenacion en BaseFilter para poder especificar ordenación de resultados.
- Poder configurar que aparezca el botón de link en bit-editor. Nueva propiedad en ConfigurationEditor: link (true/false).

## [1.1.12] - 2018-04-05
### Fixed
- Cambio validatores buildCantidadMinValidator, buildCantidadMaxValidator. Validador pasa si el valor no es numérico, pero no si es numérico y fuera del límite.

## [1.1.11] - 2018-04-03
### Fixed
- Export clase Fichero.

## [1.1.10] - 2018-03-15
### Fixed
- Clase Error: nuevo atributo "text". Para generacion de errores desde el back que no utilizan traducciones (textES, textCA). BitNotificationComponent muestra el valor text si textCA no está definido.

## [1.1.9] - 2018-03-09
### Fixed
- BitFormUploadComponent: obtiene variable DOWNLOAD_URL del proyecto cliente
### Changed
- HttpUtilsService: Se inyecta variable CONTEXT_PATH

## [1.1.8] - 2018-03-07
### Changed
- Clase HttpUtilsService: La variable API_URL se inyecta desde el proyecto cliente (no se utiliza variable static).

## [1.1.7] - 2018-03-07
### Changed
- Componente BitLoading: Se controla con un contador los starts y stops que se invocan para casos de multiples componentes en paralelo llamado a startLoading y stopLoading


## [1.1.6] - 2018-03-05
### Changed
- Componente bit-select: se añade el parámetro nombre que será el id final para el p-dropdown por debajo. El parámetro id de bit-select se elimina

## [1.1.5] - 2018-03-05
### Changed
- Componente BitInputComponent: se añade id al <p> cuando el bit-input es de solo lectura. Esto se hace para que desde los e2e podamos localizar el componente html
- Componente GeneralUtilsService: Se actualiza el método addOpcionVacia


## [1.1.4] - 2018-03-02
### Changed
- Componente BitEditorComponent: configuration: ConfigurationEditor. Poder configurar que controles se activan. Variable static globalConfiguration par configuracion que aplique a todos los bit-editor de un proyecto.

## [1.1.3] - 2018-02-28
### Fixed
- Componente BitEditorComponent: se añade evento onTextChange para que se marque como touched el form control.

## [1.1.2] - 2018-02-28
### Added
- Componente BitEditorComponent

## [1.1.1] - 2018-02-26
### Added
- @Input maxSelectedLabels en  BitSelectMultipleComponent

## [1.1.0] - 2018-02-21
### Added
- DeveloperLibraryModule: HQLComponent, UploadComponent, ExceptionListComponent, LogListComponent

## [1.0.6] - 2018-02-21
### Added
- DeveloperModule: Pruebas export componentes developer (HQLComponent, UploadComponent, etc). Cambio temporal.

## [1.0.5] - 2018-02-16
### Changed
- Cambio estilo toolbar: btn-group -> btn-inline

## [1.0.4] - 2018-02-07
### Changed
- BitNotificationFrontComponent se subscribe al observable de errores generales.

## [1.0.3] - 2018-02-05
### Changed
- Cambios gestion errores HttpUtilsService

## [1.0.2] - SIN RELEASE

## [1.0.1] - 2018-02-01
### Changed
- Cambios gestion errores HttpUtilsService: JSON.parse del error en try-catch

## [1.0.0] - 2018-01-29
### Added
- Commit inicial



