"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Clase base que contiene lo mínimo necesario para almacenar un filtro de búsqueda.
 */
var BaseFilter = (function () {
    function BaseFilter(resultados, pagina) {
        this.resultados = resultados;
        this.pagina = pagina;
    }
    BaseFilter.prototype.reset = function () {
        this.resultados = BaseFilter.RESULTADOS_PAGE;
        this.pagina = BaseFilter.PAGE;
    };
    BaseFilter.RESULTADOS_PAGE = 20;
    BaseFilter.PAGE = 1;
    BaseFilter.PAGE_LINK_SIZE = 5;
    return BaseFilter;
}());
exports.BaseFilter = BaseFilter;
//# sourceMappingURL=base.filter.js.map